#pragma once
#include "label.h"


///////////////////////////////////////////
//     

class AFX_CLASS_IMPORT CFinance : public CWnd
{
	DECLARE_DYNAMIC(CFinance)

public:
	CFinance();
	virtual ~CFinance();

protected:
	DECLARE_MESSAGE_MAP()
public:
	//    
	void SetPos(const int& x, const int& y);
	BOOL InitFinance(UINT id_rgn, UINT id_bmp, CWnd* pParent);
	CBitmap m_Bmp;
	CSize m_Size;
	CLabel m_Label;
	int m_Money;
	//void SetMoney(const int& number_money);
	void SetMoney(const int& number_money, UINT id_bmp[]=NULL, const int& arr_size=NULL);

	int GetMoney(void)
	{
		return  m_Money;
	}

	//    
	static int staticCountProcess;
	//    
	static bool staticStopProcess;
protected:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
public:
	void Show(bool show);
	//         
	UINT m_IDCurrentBmp;
};

/////////////////////////////////////////
//    ( )

class AFX_CLASS_IMPORT CBankGame : public CFinance
{
	DECLARE_DYNAMIC(CBankGame)

public:
	CBankGame();
	virtual ~CBankGame();

protected:
	DECLARE_MESSAGE_MAP()
public:
	//       
	BOOL InitBankGame(CWnd* pParent);
	afx_msg void OnPaint();
public:
	void BankGameAnim(void);
	bool m_Anim;
};


///////////////////////////////////////////
//   

class AFX_CLASS_IMPORT CBankPlayer : public CFinance
{
	
	
	DECLARE_MESSAGE_MAP()
public:
	CBankPlayer(void);
	~CBankPlayer(void);
	BOOL InitBankPlayer(CWnd* pParent);
	
	afx_msg void OnPaint();
	void SetMoney(const int& number_money);

};


