// Adjustment.cpp : implementation file
//

#include "stdafx.h"
#include "nine.h"
#include "Adjustment.h"
#include ".\adjustment.h"



// CAdjustment
IMPLEMENT_DYNAMIC(CAdjustment, CPropertySheet)

CAdjustment::CAdjustment(LPCTSTR pszCaption, CWnd* pParentWnd)
	:CPropertySheet(pszCaption, pParentWnd, 0)
	, m_IndexActivePage(0)
{
	m_psh.pszCaption = " ";
	
	AddPage(&m_PagePublicSetting);
	AddPage(&m_PageView);
	
	m_PageView.m_pParent = pParentWnd;
}


CAdjustment::~CAdjustment()
{
}


BEGIN_MESSAGE_MAP(CAdjustment, CPropertySheet)
	ON_WM_CLOSE()
END_MESSAGE_MAP()


// CAdjustment message handlers

void CAdjustment::OnClose()
{
	ShowWindow(SW_HIDE);

	m_IndexActivePage = GetActiveIndex();
	//CPropertySheet::OnClose();
}

BOOL CAdjustment::OnInitDialog()
{
	BOOL bResult = CPropertySheet::OnInitDialog();

	HICON Icon = LoadIcon(AfxGetApp()->m_hInstance, MAKEINTRESOURCE(IDI_ICON_APP));
	SetIcon(Icon, TRUE);  // Set small icon

	

	return bResult;
}
