#pragma once
#include "nine.h"
#include "banks.h"


const MAXCHARNAMES = 12;

class AFX_CLASS_EXPORT CDataPlayer
{
public:
	CDataPlayer(void);
	~CDataPlayer(void);

public:
	TCHAR m_Name[MAXCHARNAMES];
	//  
	DWORD m_IDPlayer;
	int m_Money;
	int m_NumberVictory;
	int m_NumberRoll;
	//    
	bool m_GamePlayer;
};

class AFX_CLASS_EXPORT CPlayer
{
public:
	CPlayer(void);
	~CPlayer(void);

	//   
	void CPlayer::SetName(CString name);
	//   
	inline CString GetName(void);
	void SetParent(CWnd* pParent);
	//        (    .)
	void Show(bool show);
	//   ,     ..   
	void SetPos(const CPoint& pos);
	//   
	void CopyDataPlayer(const CDataPlayer& data_player);
	void SetDC(CDC* pDC);
	//    
	void SetMoney(const int& money);
	inline int GetMoney(void);
	inline void SetNumberVictory(const int& number_victory);
	inline int GetNumberVictory(void);
	inline void SetNumberRoll(const int& number_roll);
	inline int GetNumberRoll(void);

	CBankPlayer* m_pBankPlayer;
	CPoint m_ptPos;
	CLabel m_LabelMoney;
	CDataPlayer m_DataPlayer; //       
private:
	//  
	CLabel m_Name;
};
