#pragma once
#include "afxwin.h"
#include <vector>


class AFX_CLASS_EXPORT CCustomMenu : public CMenu
{

	struct ITEMDATA
	{
		ITEMDATA(){ZeroMemory(text, sizeof(TCHAR)*128);}
		COLORREF color;
		TCHAR    text[128];
	};

public:
	CCustomMenu(void);
	~CCustomMenu(void);
	virtual void DrawItem(LPDRAWITEMSTRUCT lpDrawItemStruct);
	virtual void MeasureItem(LPMEASUREITEMSTRUCT lpMeasureItemStruct);
	//        
	void AppendMenu(const UINT& id_command, LPCTSTR text_menu, COLORREF color, bool enabled=true);
	//    
	void AppendSeparator(void);
private:
	std::vector<ITEMDATA*> m_ItemsData;

};
